Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface RDFList

All Superinterfaces:
  Comparable<edu.stanford.smi.protege.model.Frame>, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, ProtegeInstance, RDFObject, RDFResource, Visitable

All Known Subinterfaces:
  SWRLAtomList

All Known Implementing Classes:
  DefaultRDFList, DefaultSWRLAtomList

    public interface RDFList

extends RDFResource

An RDFResource represents an rdf:List.

Author:
  Holger Knublauch

Method Summary
`void` | `append(Object value)` Appends a value to this list.
`boolean` | `contains(Object value)` Checks whether a given value is among the entries in this list.
`Object` | `getFirst()`
`RDFSLiteral` | `getFirstLiteral()` Gets the rdf:first value of this as an RDFSLiteral.
`RDFList` | `getRest()`
`RDFList` | `getStart()` Gets the start of the RDFList chain containing this.
`List` | `getValueLiterals()` Gets the values in this list as RDFSLiterals.
`List` | `getValues()` Gets the values in this list.
`boolean` | `isClosed()` Checks whether this is eventually terminated with an rdf:rest rdf:nil triple.
`void` | `setFirst(Object value)`
`void` | `setRest(RDFList rest)`
`int` | `size()`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Method Detail

### append

    void append(Object value)

  Appends a value to this list. This method will first find the last RDFList following the rdf:rest links. If this does not have a rdf:first yet, then this will be assigned to it. Otherwise, it will create a new RDFList of the same type like this as rdf:rest to the end of this list, and assigns the given instance as its rdf:first value.

  Parameters:
    `value` - the value to append a list node for

### contains

    boolean contains(Object value)

  Checks whether a given value is among the entries in this list.

  Parameters:
    `value` - the value to look for
  Returns:
    true if the values contain value

### getFirst

    Object getFirst()

### getFirstLiteral

    RDFSLiteral getFirstLiteral()

  Gets the rdf:first value of this as an RDFSLiteral. The calling method must make sure that we have indeed a primitive value.

  Returns:
    an RDFSLiteral

### getRest

    RDFList getRest()

### getStart

    RDFList getStart()

  Gets the start of the RDFList chain containing this. This method basically follows the backward references where this is rdf:rest, and does so recursively until it reaches a node which is never used as rdf:rest anywhere in the OWLModel.

  Returns:
    the start RDFList node (may be this)

### getValueLiterals

    List getValueLiterals()

  Gets the values in this list as RDFSLiterals. The caller must make sure that only primitive values are currently in the list.

  Returns:
    a List of RDFSLiteral values.

### getValues

    List getValues()

  Gets the values in this list.

  Returns:
    a List of Object instances

### isClosed

    boolean isClosed()

  Checks whether this is eventually terminated with an rdf:rest rdf:nil triple.

  Returns:
    true if the last entry in this list points to rdf:nil.

### setFirst

    void setFirst(Object value)

### setRest

    void setRest(RDFList rest)

### size

    int size()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.